import { $constructor } from "../core/core.js";
import { $ZodISODate, $ZodISODateTime, $ZodISODuration, $ZodISOTime } from "../core/schemas.js";
import { _isoDate, _isoDateTime, _isoDuration, _isoTime } from "../core/api.js";
import { ZodStringFormat } from "./schemas.js";
const ZodISODateTime = /* @__PURE__ */ $constructor("ZodISODateTime", (e, g) => {
	$ZodISODateTime.init(e, g), ZodStringFormat.init(e, g);
});
function datetime(e) {
	return _isoDateTime(ZodISODateTime, e);
}
const ZodISODate = /* @__PURE__ */ $constructor("ZodISODate", (e, _) => {
	$ZodISODate.init(e, _), ZodStringFormat.init(e, _);
});
function date(e) {
	return _isoDate(ZodISODate, e);
}
const ZodISOTime = /* @__PURE__ */ $constructor("ZodISOTime", (e, g) => {
	$ZodISOTime.init(e, g), ZodStringFormat.init(e, g);
});
function time(e) {
	return _isoTime(ZodISOTime, e);
}
const ZodISODuration = /* @__PURE__ */ $constructor("ZodISODuration", (e, g) => {
	$ZodISODuration.init(e, g), ZodStringFormat.init(e, g);
});
function duration(e) {
	return _isoDuration(ZodISODuration, e);
}
export { date, datetime, duration, time };
